@import "styles/variables.scss";

.options-top-bar {
  position: fixed;
  z-index: 500;
  left: 0;
  top: 0;
  background: $white;
  width: 100%;
  border-bottom: 1px solid $lightgrey;
  margin-top: -100%;
  opacity: 0;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;
  .set-infringing-status-type {
    padding: 0 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    button {
      margin-left: 10px;
      &:first-of-type {
        margin: 0;
      }
    }
  }
  &.show {
    margin-top: 0;
    opacity: 1;
  }
  &__list {
    padding-left: 20px;
    padding-right: 20px;
    max-height: 400px;
    display: flex;
    > div {
      width: 100%;
      max-height: 100%;
      overflow-x: auto;
    }
    .table-main {
      overflow: hidden;
      border: none;
    }
  }
  &__options {
    border-top: 1px solid $lightgrey;
    padding: 20px 35px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    .select_block {
      &.btn-row {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        > div {
          margin-right: 30px;
          button:first-of-type {
            margin-right: 10px;
          }
        }
      }
    }
    .select_block,
    .config_block ul {
      display: inline-flex;
      align-items: center;
      justify-content: space-between;
    }
    .config_block {
      display: inline-flex;
      align-items: center;
      ul {
        margin: 0;
        li {
          margin-right: 15px;
          &.border {
            margin: 0 35px 0 20px;
            height: 30px;
          }
          &:last-of-type {
            margin-right: 0;
          }
          button {
            display: flex;
            align-items: center;
            background: none;
            font-size: 14px;
            font-weight: 500;
            line-height: 1;
            color: $black;
            svg {
              margin-right: 10px;
            }
          }
        }
      }
    }
    .btn-bar__list {
      background: none;
      margin-right: 15px;
      &.show {
        svg {
          -webkit-transform: rotate(180deg);
          -moz-transform: rotate(180deg);
          -ms-transform: rotate(180deg);
          -o-transform: rotate(180deg);
          transform: rotate(180deg);
        }
      }
      svg {
        -webkit-transition: all 0.3s ease;
        -moz-transition: all 0.3s ease;
        -ms-transition: all 0.3s ease;
        -o-transition: all 0.3s ease;
        transition: all 0.3s ease;
      }
    }
    .select-box {
      margin-left: 25px;
      font-size: 14px;
      font-weight: 500;
      line-height: 1;
      color: $darkgrey;
      display: inline-flex;
      align-items: center;
      justify-content: space-between;
      > span:first-of-type {
        &:hover {
          cursor: pointer;
        }
      }
      span.border {
        margin: 0 15px;
        height: 30px;
      }
    }
    .select-all {
      background: none;
      color: $black;
      margin-right: 15px;
    }
  }
}
.bg-list-top-bar {
  position: fixed;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  background: $black;
  opacity: 0.3;
  z-index: 100;
  &:hover {
    cursor: pointer;
  }
}
